job-artifacts:upload:
  stage: test
  script:
    - echo "This is a GitLab CI artifacts smoke test." > artifact-smoke-test.txt
  artifacts:
    name: "artifact-$CI_JOB_ID"
    paths:
      - artifact-smoke-test.txt

job-artifacts:download:
  stage: deploy
  needs: ["job-artifacts:upload"]
  dependencies: ["job-artifacts:upload"]
  script:
    - cat artifact-smoke-test.txt
